build-image:
  parallel:
    matrix:
      - IMAGE:
        - index
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - /kaniko/executor
      --context="${CI_PROJECT_DIR}/${IMAGE}"
      --dockerfile="${CI_PROJECT_DIR}/${IMAGE}/Dockerfile"
      --destination="${DOCKER_REGISTRY_HOST}/${CI_PROJECT_PATH}/${IMAGE}:${CI_COMMIT_SHORT_SHA}-${CI_COMMIT_BRANCH}-${CI_PIPELINE_IID}"
      --cache="true"
      --cache-ttl="168h"
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      changes:
        - "${IMAGE}/**/*"
        - ".gitlab-ci.yml"

build-image-root:
  parallel:
    matrix:
      - IMAGE:
        - frontend
        - fictief-bvv-backend
        - fictief-loket-backend
        - fictief-sigma-backend
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - /kaniko/executor
      --context="${CI_PROJECT_DIR}"
      --dockerfile="${CI_PROJECT_DIR}/${IMAGE}/Dockerfile"
      --destination="${DOCKER_REGISTRY_HOST}/${CI_PROJECT_PATH}/${IMAGE}:${CI_COMMIT_SHORT_SHA}-${CI_COMMIT_BRANCH}-${CI_PIPELINE_IID}"
      --cache="true"
      --cache-ttl="168h"
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      changes:
        - "${IMAGE}/**/*"
        - "fictief-bvv-api/**/*"
        - "fictief-sigma-api/**/*"
        - "config/**/*"
        - ".gitlab-ci.yml"
